Name: sshd_sentry_server
Version: 1.0.0
Release: 1
Summary: A script which monitors SSHD logs, blocking misbehaving hosts.
License: Public Domain
Source0: sshd_sentry_server.init
Source1: sshd_sentry_server
Group: Applications/Security
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch

%description
The sshd_sentry_server aggregates blacklisting reports from individual
sshd_sentry instances, and distributes the aggregated blacklist.

%prep
%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -c -m 755 %{SOURCE0} $RPM_BUILD_ROOT/etc/init.d/sshd_sentry_server
install -c -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}

%post
chkconfig --level 35 sshd_sentry_server on
/etc/init.d/sshd_sentry_server restart

%files
%defattr(-,root,root)
%{_bindir}/sshd_sentry_server
/etc/init.d/sshd_sentry_server

%changelog
* Wed Oct 22 2004 Victor Danilchenko <danilche@cs.umass.edu> 1.0.0-1
- Created
