Name: sshd_sentry
Version: 1.0.0
Release: 4
Summary: A script which monitors SSHD logs, blocking misbehaving hosts.
License: Public Domain
Source0: sshd_sentry.init
Source1: sshd_sentry
Group: Applications/Security
BuildRoot: %{_tmppath}/%{name}-root
BuildArch: noarch
Requires: redhat-menus

%description
The sshd_sentry utility monitors the SSHD logs for repeated failed
login attempts. After a certain number of failed login attempts from
a single host is detected, that host is blacklisted in
/etc/hosts.deny for a specified duration. The blacklisted entry is
also submitted to the sshd_sentry_server, which should be specified
on startup. That server distributes aggregated blacklists to the
clients which contact it.

%prep
%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT/etc/init.d
install -c -m 755 %{SOURCE0} $RPM_BUILD_ROOT/etc/init.d/sshd_sentry
install -c -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{_bindir}

%post
chkconfig --level 35 sshd_sentry on
rm -f /etc/cron.hourly/sshd_sentry
ln -s /usr/bin/sshd_sentry /etc/cron.hourly
/etc/init.d/sshd_sentry restart

%files
%defattr(-,root,root)
%{_bindir}/sshd_sentry
/etc/init.d/sshd_sentry

%changelog
* Wed Oct 6 2004 Victor Danilchenko <danilche@cs.umass.edu> 1.0.0-1
- Created
